package gov.va.med.fw.batchprocess;

import org.apache.commons.lang.builder.ToStringBuilder;

public class AacExportProcessStatistics extends DataQueryProcessStatistics {

    /**
     * 
     */
    private static final long serialVersionUID = -1384391567234014940L;
    /**
    private int numberSent;
    private int numberRejected;
    private int numberCancelled;
    private int numberRemailed;
    **/
    private int numberWithException;

    /** Commented as these stats are not part of requirements
    public int getNumberCancelled() {
        return numberCancelled;
    }

    public void setNumberCancelled(int numberCancelled) {
        this.numberCancelled = numberCancelled;
    }

    public int getNumberRejected() {
        return numberRejected;
    }

    public void setNumberRejected(int numberRejected) {
        this.numberRejected = numberRejected;
    }

    public int getNumberRemailed() {
        return numberRemailed;
    }

    public void setNumberRemailed(int numberRemailed) {
        this.numberRemailed = numberRemailed;
    }

    public int getNumberSent() {
        return numberSent;
    }

    public void setNumberSent(int numberSent) {
        this.numberSent = numberSent;
    }
    **/

    public int getNumberWithException() {
        return numberWithException;
    }

    public void setNumberWithException(int numberWithException) {
        this.numberWithException = numberWithException;
    }
    
    protected void buildToString(ToStringBuilder builder) {
        super.buildToString(builder);
        //builder.append("numberSent",numberSent);
        //builder.append("numberRejected",numberRejected);
        //builder.append("numberCancelled",numberCancelled);
        //builder.append("numberRemailed",numberRemailed);
        builder.append("numberWithException",numberWithException);
    }


}
